Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.server
Class QueryBean

    java.lang.Object
      |
      +--com.bea.ldi.server.QueryBean

public class QueryBean
extends java.lang.Object
implements javax.ejb.SessionBean

QueryBean is a stateless Session Bean.

See Also:
  Serialized Form

Constructor Summary
`QueryBean()`

Method Summary
`void` | `ejbActivate()` This method is required by the EJB Specification.
`void` | `ejbCreate()` This method corresponds to the create method in the home interface "QueryHome.java".
`void` | `ejbPassivate()` This method is required by the EJB Specification.
`void` | `ejbRemove()` This method is required by the EJB Specification.
`QueryResult` | `execute(java.lang.String queryString)` Executes a query and returns the result.
`QueryResult` | `execute(java.lang.String queryString, QueryParameters queryParameters)` Executes a query and returns the result.
`QueryResult` | `execute(java.lang.String queryString, QueryParameters queryParameters, QueryAttributes queryAttributes)` Executes a query and returns the result.
`QueryResult` | `executeStored(java.lang.String queryName)` Executes a stored query and returns the result.
`QueryResult` | `executeStored(java.lang.String queryName, QueryParameters queryParameters)` Executes a stored query and returns the result.
`QueryResult` | `executeStored(java.lang.String queryName, QueryParameters queryParameters, QueryAttributes queryAttributes)` Executes a stored query and returns the result.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Sets the session context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBean

    public QueryBean()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  This method corresponds to the create method in the home interface "QueryHome.java". The parameter sets of the two methods are identical. When the client calls `QueryHome.create()`, the container allocates an instance of the EJBean and calls `ejbCreate()`.

  Throws:
    javax.ejb.CreateException -

### ejbRemove

    public void ejbRemove()

  This method is required by the EJB Specification.
  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  This method is required by the EJB Specification.
  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbPassivate

    public void ejbPassivate()

  This method is required by the EJB Specification.
  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Sets the session context.
  Specified by:
    setSessionContext in interface javax.ejb.SessionBean

  Parameters:
    `ctx` - SessionContext Context for session

### execute

    public QueryResult execute(java.lang.String queryString)
                        throws java.rmi.RemoteException

  Executes a query and returns the result.

  Parameters:
    `queryString` - The String representation of the query.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

### execute

    public QueryResult execute(java.lang.String queryString,
                               QueryParameters queryParameters)
                        throws java.rmi.RemoteException

  Executes a query and returns the result.

  Parameters:
    `queryString` - The String representation of the query.
    `queryParameters` - The query parameters.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

### execute

    public QueryResult execute(java.lang.String queryString,
                               QueryParameters queryParameters,
                               QueryAttributes queryAttributes)
                        throws java.rmi.RemoteException

  Executes a query and returns the result.

  Parameters:
    `queryString` - The String representation of the query.
    `queryParameters` - The query parameters.
    `queryAttributes` - The query attributes.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

### executeStored

    public QueryResult executeStored(java.lang.String queryName)
                              throws java.rmi.RemoteException

  Executes a stored query and returns the result.

  Parameters:
    `queryName` - The name of the stored query.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

### executeStored

    public QueryResult executeStored(java.lang.String queryName,
                                     QueryParameters queryParameters)
                              throws java.rmi.RemoteException

  Executes a stored query and returns the result.

  Parameters:
    `queryName` - The name of the stored query.
    `queryParameters` - The query parameters.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

### executeStored

    public QueryResult executeStored(java.lang.String queryName,
                                     QueryParameters queryParameters,
                                     QueryAttributes queryAttributes)
                              throws java.rmi.RemoteException

  Executes a stored query and returns the result.

  Parameters:
    `queryName` - The name of the stored query.
    `queryParameters` - The query parameters.
    `queryAttributes` - The query attributes.
  Returns:
    The query result.
  Throws:
    A - `RemoteException` encapsulating any problems that occured during query execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs10/index.html